<?php
/**
 * Theme Customizer Controls
 *
 * @package Legacy Medical Appointment
 */

if ( ! function_exists( 'legacy_medical_appointment_customizer_typography_setting_register' ) ) :
function legacy_medical_appointment_customizer_typography_setting_register( $wp_customize ) {

    // Add Typography Panel for Body and Heading
    $wp_customize->add_panel(
        'legacy_medical_appointment_typography_settings_panel',
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Typography Settings', 'legacy-medical-appointment' ),
        )
    );

    // Section Body Typography
    $wp_customize->add_section(
        'legacy_medical_appointment_body_typography_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Body', 'legacy-medical-appointment' ),
            'panel'         => 'legacy_medical_appointment_typography_settings_panel',
        )
    );

    // Body Font Family Setting
    $wp_customize->add_setting(
        'legacy_medical_appointment_body_font_family',
        array(
            'default'           => 'Inter, sans-serif', // Default font
            'sanitize_callback' => 'legacy_medical_appointment_sanitize_font_family', // Custom sanitize function
        )
    );
    $wp_customize->add_control( new Legacy_Medical_Appointment_Font_Select_Control(
    $wp_customize,
    'legacy_medical_appointment_body_font_family',
    array(
        'label'   => esc_html__( 'Body Font Family', 'legacy-medical-appointment' ),
        'section' => 'legacy_medical_appointment_body_typography_settings',
        'choices' => legacy_medical_appointment_get_google_fonts(),
    )
    ));

    // Section Heading Typography
    $wp_customize->add_section(
        'legacy_medical_appointment_heading_typography_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Heading', 'legacy-medical-appointment' ),
            'panel'         => 'legacy_medical_appointment_typography_settings_panel',
        )
    );

    // Heading Font Family Setting
    $wp_customize->add_setting(
        'legacy_medical_appointment_heading_font_family',
        array(
            'default'           => 'Inter, sans-serif', // Default font
            'sanitize_callback' => 'legacy_medical_appointment_sanitize_font_family', // Custom sanitize function
        )
    );
    $wp_customize->add_control( new Legacy_Medical_Appointment_Font_Select_Control(
    $wp_customize,
    'legacy_medical_appointment_heading_font_family',
    array(
        'label'   => esc_html__( 'Heading Font Family', 'legacy-medical-appointment' ),
        'section' => 'legacy_medical_appointment_heading_typography_settings',
        'choices' => legacy_medical_appointment_get_google_fonts(),
    )
    ));
}
endif;

add_action( 'customize_register', 'legacy_medical_appointment_customizer_typography_setting_register' );

// Function to fetch Google Fonts
function legacy_medical_appointment_get_google_fonts() {
    // Add Google Fonts to be available for selection
    return array(
        'Inter, sans-serif' => 'Inter',
        'Arial, sans-serif'   => 'Arial',
        'Georgia, serif'      => 'Georgia',
        'Verdana, sans-serif' => 'Verdana',
        'Times New Roman, serif' => 'Times New Roman',
        'Roboto, sans-serif'  => 'Roboto',
        'Open Sans, sans-serif' => 'Open Sans',
        'Lora, serif'         => 'Lora',
        'Merriweather, serif' => 'Merriweather',
        'Montserrat, sans-serif' => 'Montserrat',
                
        // Add more Google fonts as needed
    );
}

// Sanitize Google Fonts input
function legacy_medical_appointment_sanitize_font_family( $value ) {
    $allowed_fonts = array('Inter, sans-serif','Arial, sans-serif', 'Georgia, serif', 'Verdana, sans-serif','Times New Roman, serif', 'Roboto, sans-serif', 'Open Sans, sans-serif','Lora, serif', 'Merriweather, serif', 'Montserrat, sans-serif',
        // Add more allowed fonts to this array
    );

    if ( in_array( $value, $allowed_fonts ) ) {
        return $value;
    } else {
        return 'Inter, sans-serif'; // Default fallback font
    }
}

function legacy_medical_appointment_sanitize_title( $value ) {
    return sanitize_text_field( $value );
}
